Skip to main content
GET
Retrieve an employment history report for a link

Authorizations

X-Access-Client-Id
string
header
required

Client ID

X-Access-Secret
string
header
required

Client Access Key

Path Parameters

Query Parameters

show_fraud_reasons
boolean
default:false

Set to true to include fraud_reasons in the response. The field is omitted by default.

Response

Data for the employment verification

id
string
required

Unique ID

Maximum string length: 32
Example:

"24d7e80942ce4ad58a93f70ce4115f5c"

status
string
required
Example:

"new"

finished_at
string
required

Time when report was finished

Example:

"2021-04-06T11:30:00Z"

completed_at
string
required

Time when report was completed (Deprecated, invalid datetime format)

Example:

"2021-04-06 11:30:00+00:00"

access_token
string
required

Access token for a Link to payroll provider

Maximum string length: 32
Example:

"48427a36d43c4d5aa6324bc06c692456"

tracking_info
string | null
required

Any information passed to the Truv Bridge from a partner

Maximum string length: 255
Example:

"user123456"

employments
object[]
required
read-only

List of employments received from a payroll provider

provider
string
required

Payroll provider name

Maximum string length: 64
Example:

"adp"

is_suspicious
boolean

Flag to indicate if the data from the source is suspicious. E.g. fraud detected in uploaded documents or SSN of the user does not match with the data

fraud_reasons
object[]

Findings recorded for this link and its tasks. Included only when show_fraud_reasons=true. An empty array means no findings are available for this response.

pdf_report
string<uri>

Verification report in PDF format

Example:

"https://cdn.truv.com/report.pdf"

data_source
enum<string>

Source of data: crawler - payroll provider parsing, docs - user uploaded documents

Available options:
payroll,
docs,
financial_accounts
Example:

"payroll"